| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::CoreDbTransaction Class Reference

Convenience class: You can create a CoreDbTransaction object for a scope for which you want to declare a database commit. More...

## Public Member Functions
| CoreDbTransaction ()
| Retrieve a CoreDbAccess object each time when constructing and destructing.
| CoreDbTransaction (CoreDbAccess *const access)
| Use an existing CoreDbAccess object, which must live as long as this object exists.

## Detailed Description

Equivalent to calling beginTransaction and commitTransaction on the album db.